ABX(1)

NAME
abx - audio ABX testing software

SYNOPSIS

abx [OPTIONS...] <SAMPLE-A> <SAMPLE-B>

DESCRIPTION
abx is a program for performing software-based audio ABX testing on GNU/Linux systems. ABX test (Wikipedia, Hydrogenaudio) is a statistical test for assessing whether you are able to tell for audible differences between two samples. For example, one sample can be a compressed audio file such as OGG Vorbis file and another one its uncompressed variant (WAV, AU, ...). You can then use abx to infer whether you are able to separate the two samples due to compression artifacts.

OPTIONS

  Application Options

-i N, --num-trials=N
    Do N trials.

-d ID, --audio-device=ID
    Use PortAudio audio device ID

-D, --list-devices
    List PortAudio devices and exit

-l L, --latency=L
    Set suggested output latency to L milliseconds

--display==DISPLAY
    X display to use

  Help Options

--help, -h
    Show help options

--help-all
    Show all help options

--help-gtk
    Show GTK+ options

  GTK+ Options

--class=CLASS
    Program class as used by the window manager

--name=NAME
    Program name as used by the window manager

--display=DISPLAY
    X display to use

--gtk-module=MODULES
    Load additional GTK+ modules

--g-fatal-warnings
    Make all warnings fatal

AUTHOR
abx is written by Petteri Hintsanen <petterih@iki.fi> and is licensed under the GNU General Publication License, version 3 or above.

This manual page was written by Chow Loong Jin <hyperair@debian.org> for the Debian system (but may be used by others). Permissions is granted to copy, distribute, and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation.

On Debian systems, the full text of the GNU General Public License, Version 3 can be found in /usr/share/common-licenses/GPL-3.